# Setup a new linux server

## User and Dot Files
### SSH Keys
`ssh-keygen`
`add to gitea and github`
`git clone https://gitea.hptrow.me/pt/dot_config`
`cd dot_config`
`./setup.sh`
`cp .bash_local_example .bash_local`
edit PG and DB2PW
install nvim
install nvchad


## Firewall
`sudo ufw enable`
`sudo ufw limit 22`
`sudo allow 5432`
`sudo allow 8083`

## Postgres
### Copy Backups
`rsync -azv -e ssh ptrowbridge@usmidsap01://mnt/backup //mnt/backup`
### Config Files
`git clone https://gitea.hptrow.me`
install python3
setup postgres config files
setup java jdk
clone and build jrunner
clone jrunner_conf
point dbeaver jobs to new server
point powerbi to new server
point price list functions to new server
coordinate with Dwight for cash if applicable
setup jupyterlab
